[Date Prev][Date Next] [Thread Prev][Thread Next] [Date Index] [Thread Index]

Bug#898901: marked as done (gcc-6: FTBFS on hurd-i386)



Your message dated Fri, 15 Jun 2018 13:20:44 +0000
with message-id <E1fToei-000Dm7-7V@fasolo.debian.org>
and subject line Bug#898901: fixed in gcc-6 6.4.0-18
has caused the Debian Bug report #898901,
regarding gcc-6: FTBFS on hurd-i386
to be marked as done.

This means that you claim that the problem has been dealt with.
If this is not the case it is now your responsibility to reopen the
Bug report if necessary, and/or fix the problem forthwith.

(NB: If you are a system administrator and have no idea what this
message is talking about, this may indicate a serious mail system
misconfiguration somewhere. Please contact owner@bugs.debian.org
immediately.)


-- 
898901: https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=898901
Debian Bug Tracking System
Contact owner@bugs.debian.org with problems
--- Begin Message ---
Source: gcc-6
Version: 6.4.0-17
Severity: important
Tags: patch
User: debian-hurd@lists.debian.org
Usertags: hurd

Hi,

gcc-6 has been FTBFS since 6.4.0-12 on GNU/Hurd due to an outdated patch for
gccgo, caused by the upgrade of glibc from 2.25 to 2.26+

Attached is an updated patch: src_libgo_mksysinfo.sh.diff to enable gccgo to
build properly on gcc-6 again.

Running tests for libgo gives:

                === libgo Summary ===

# of expected passes            119
# of unexpected failures        15

Thanks!
Index: gcc-6-6.4.0-17.1/src/libgo/mksysinfo.sh
===================================================================
--- gcc-6-6.4.0-17.1.orig/src/libgo/mksysinfo.sh
+++ gcc-6-6.4.0-17.1/src/libgo/mksysinfo.sh
@@ -301,8 +301,20 @@ grep -v '^// ' gen-sysinfo.go | \
 
 # The errno constants.  These get type Errno.
 echo '#include <errno.h>' | ${CC} -x c - -E -dM | \
-  egrep '#define E[A-Z0-9_]+ ' | \
-  sed -e 's/^#define \(E[A-Z0-9_]*\) .*$/const \1 = Errno(_\1)/' >> ${OUT}
+  egrep '#define E[A-Z0-9_]+ [0-9]' | \
+    sed -e 's/^#define \(E[A-Z0-9_]*\) .*$/const \1 = Errno(_\1)/' >> ${OUT}
+# Workaround for GNU/Hurd _EMIG_* errors having negative values
+echo '#include <errno.h>' | ${CC} -x c - -E -dM | \
+  egrep '#define E[A-Z0-9_]+ -[0-9]' | \
+    sed -e 's/^#define \(E[A-Z0-9_]*\) .*$/const \1 = Errno(-_\1)/' >> ${OUT}
+
+# Special treatment of EWOULDBLOCK for GNU/Hurd
+# /usr/include/bits/errno.h: #define EWOULDBLOCK EAGAIN
+if egrep '^const _EWOULDBLOCK = _EAGAIN' gen-sysinfo.go > /dev/null 2>&1; then
+  if egrep '^const EAGAIN = Errno\(_EAGAIN\)' ${OUT}; then
+      echo 'const EWOULDBLOCK = Errno(_EAGAIN)' >> ${OUT}
+  fi
+fi
 
 # The O_xxx flags.
 egrep '^const _(O|F|FD)_' gen-sysinfo.go | \
@@ -362,6 +374,11 @@ grep '^const _SYS_' gen-sysinfo.go | \
     echo "const $sup = _$sys" >> ${OUT}
   done
 
+# Special treatment of SYS_IOCTL for GNU/Hurd
+if ! grep '^const SYS_IOCTL' ${OUT} > /dev/null 2>&1; then
+  echo "const SYS_IOCTL = 0" >> ${OUT}
+fi
+
 # The GNU/Linux support wants to use SYS_GETDENTS64 if available.
 if ! grep '^const SYS_GETDENTS ' ${OUT} >/dev/null 2>&1; then
   echo "const SYS_GETDENTS = 0" >> ${OUT}
@@ -676,6 +693,11 @@ grep '^type _tms ' gen-sysinfo.go | \
 
 # The stat type.
 # Prefer largefile variant if available.
+# Special treatment of st_dev for GNU/Hurd
+# /usr/include/i386-gnu/bits/stat.h: #define st_dev st_fsid
+if grep 'define st_dev st_fsid' gen-sysinfo.go > /dev/null 2>&1; then
+  sed -i -e 's/; st_fsid/; st_dev/' gen-sysinfo.go
+fi
 stat=`grep '^type _stat64 ' gen-sysinfo.go || true`
 if test "$stat" != ""; then
   grep '^type _stat64 ' gen-sysinfo.go

--- End Message ---
--- Begin Message ---
Source: gcc-6
Source-Version: 6.4.0-18

We believe that the bug you reported is fixed in the latest version of
gcc-6, which is due to be installed in the Debian FTP archive.

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 898901@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Matthias Klose <doko@debian.org> (supplier of updated gcc-6 package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@ftp-master.debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA256

Format: 1.8
Date: Fri, 15 Jun 2018 14:29:55 +0200
Source: gcc-6
Binary: gcc-6-base libgcc-6-dev libgcc4 libgcc4-dbg lib64gcc-6-dev lib32gcc-6-dev libn32gcc-6-dev libx32gcc-6-dev gcc-6 gcc-6-multilib gcc-6-test-results gcc-6-plugin-dev gcc-6-hppa64-linux-gnu cpp-6 gcc-6-locales g++-6 g++-6-multilib libasan3 libasan3-dbg lib32asan3 lib32asan3-dbg lib64asan3 lib64asan3-dbg libx32asan3 libx32asan3-dbg libmpx2 libmpx2-dbg lib32mpx2 lib32mpx2-dbg lib64mpx2 lib64mpx2-dbg libgccjit-6-doc libgccjit-6-dev gobjc++-6 gobjc++-6-multilib gobjc-6 gobjc-6-multilib libobjc-6-dev lib64objc-6-dev lib32objc-6-dev libn32objc-6-dev libx32objc-6-dev gfortran-6 gfortran-6-multilib libgfortran-6-dev lib64gfortran-6-dev lib32gfortran-6-dev libn32gfortran-6-dev libx32gfortran-6-dev libgfortran3 libgfortran3-dbg lib64gfortran3 lib64gfortran3-dbg lib32gfortran3 lib32gfortran3-dbg libn32gfortran3 libn32gfortran3-dbg libx32gfortran3 libx32gfortran3-dbg gccgo-6 gccgo-6-multilib libgo9 libgo9-dbg lib64go9 lib64go9-dbg lib32go9 lib32go9-dbg libn32go9 libn32go9-dbg
 libx32go9 libx32go9-dbg libstdc++-6-dev libstdc++-6-pic libstdc++6-6-dbg lib32stdc++-6-dev lib32stdc++6-6-dbg lib64stdc++-6-dev lib64stdc++6-6-dbg libn32stdc++-6-dev libn32stdc++6-6-dbg libx32stdc++-6-dev libx32stdc++6-6-dbg libstdc++-6-doc gnat-6 gnat-6-sjlj libgnat-6 libgnat-6-dbg libgnatvsn6-dev libgnatvsn6 libgnatvsn6-dbg libgnatprj6-dev libgnatprj6 libgnatprj6-dbg gdc-6 gdc-6-multilib libgphobos-6-dev libgphobos68 libgphobos68-dbg lib64gphobos-6-dev lib64gphobos68 lib64gphobos68-dbg lib32gphobos-6-dev lib32gphobos68 lib32gphobos68-dbg libx32gphobos-6-dev libx32gphobos68 libx32gphobos68-dbg
 gcc-6-source
Architecture: source
Version: 6.4.0-18
Distribution: unstable
Urgency: medium
Maintainer: Debian GCC Maintainers <debian-gcc@lists.debian.org>
Changed-By: Matthias Klose <doko@debian.org>
Description:
 cpp-6      - GNU C preprocessor
 g++-6      - GNU C++ compiler
 g++-6-multilib - GNU C++ compiler (multilib support)
 gcc-6      - GNU C compiler
 gcc-6-base - GCC, the GNU Compiler Collection (base package)
 gcc-6-hppa64-linux-gnu - GNU C compiler (cross compiler for hppa64)
 gcc-6-locales - GCC, the GNU compiler collection (native language support files)
 gcc-6-multilib - GNU C compiler (multilib support)
 gcc-6-plugin-dev - Files for GNU GCC plugin development.
 gcc-6-source - Source of the GNU Compiler Collection
 gcc-6-test-results - Test results for the GCC test suite
 gccgo-6    - GNU Go compiler
 gccgo-6-multilib - GNU Go compiler (multilib support)
 gdc-6      - GNU D compiler (version 2)
 gdc-6-multilib - GNU D compiler (version 2, multilib support)
 gfortran-6 - GNU Fortran compiler
 gfortran-6-multilib - GNU Fortran compiler (multilib support)
 gnat-6     - GNU Ada compiler
 gnat-6-sjlj - GNU Ada compiler (setjump/longjump runtime library)
 gobjc++-6  - GNU Objective-C++ compiler
 gobjc++-6-multilib - GNU Objective-C++ compiler (multilib support)
 gobjc-6    - GNU Objective-C compiler
 gobjc-6-multilib - GNU Objective-C compiler (multilib support)
 lib32asan3 - AddressSanitizer -- a fast memory error detector (32bit)
 lib32asan3-dbg - AddressSanitizer -- a fast memory error detector (32 bit debug sy
 lib32gcc-6-dev - GCC support library (32 bit development files)
 lib32gfortran-6-dev - Runtime library for GNU Fortran applications (32bit development f
 lib32gfortran3 - Runtime library for GNU Fortran applications (32bit)
 lib32gfortran3-dbg - Runtime library for GNU Fortran applications (32 bit debug symbol
 lib32go9   - Runtime library for GNU Go applications (32bit)
 lib32go9-dbg - Runtime library for GNU Go applications (32 bit debug symbols)
 lib32gphobos-6-dev - Phobos D standard library (32bit development files)
 lib32gphobos68 - Phobos D standard library (runtime library)
 lib32gphobos68-dbg - Phobos D standard library (debug symbols)
 lib32mpx2  - Intel memory protection extensions (32bit)
 lib32mpx2-dbg - Intel memory protection extensions (32 bit debug symbols)
 lib32objc-6-dev - Runtime library for GNU Objective-C applications (32bit developme
 lib32stdc++-6-dev - GNU Standard C++ Library v3 (development files)
 lib32stdc++6-6-dbg - GNU Standard C++ Library v3 (debugging files)
 lib64asan3 - AddressSanitizer -- a fast memory error detector (64bit)
 lib64asan3-dbg - AddressSanitizer -- a fast memory error detector (64bit debug sym
 lib64gcc-6-dev - GCC support library (64bit development files)
 lib64gfortran-6-dev - Runtime library for GNU Fortran applications (64bit development f
 lib64gfortran3 - Runtime library for GNU Fortran applications (64bit)
 lib64gfortran3-dbg - Runtime library for GNU Fortran applications (64bit debug symbols
 lib64go9   - Runtime library for GNU Go applications (64bit)
 lib64go9-dbg - Runtime library for GNU Go applications (64bit debug symbols)
 lib64gphobos-6-dev - Phobos D standard library (64bit development files)
 lib64gphobos68 - Phobos D standard library (runtime library)
 lib64gphobos68-dbg - Phobos D standard library (debug symbols)
 lib64mpx2  - Intel memory protection extensions (64bit)
 lib64mpx2-dbg - Intel memory protection extensions (64bit debug symbols)
 lib64objc-6-dev - Runtime library for GNU Objective-C applications (64bit developme
 lib64stdc++-6-dev - GNU Standard C++ Library v3 (development files)
 lib64stdc++6-6-dbg - GNU Standard C++ Library v3 (debugging files)
 libasan3   - AddressSanitizer -- a fast memory error detector
 libasan3-dbg - AddressSanitizer -- a fast memory error detector (debug symbols)
 libgcc-6-dev - GCC support library (development files)
 libgcc4    - GCC support library
 libgcc4-dbg - GCC support library (debug symbols)
 libgccjit-6-dev - GCC just-in-time compilation (development files)
 libgccjit-6-doc - GCC just-in-time compilation (documentation)
 libgfortran-6-dev - Runtime library for GNU Fortran applications (development files)
 libgfortran3 - Runtime library for GNU Fortran applications
 libgfortran3-dbg - Runtime library for GNU Fortran applications (debug symbols)
 libgnat-6  - runtime for applications compiled with GNAT (shared library)
 libgnat-6-dbg - runtime for applications compiled with GNAT (debugging symbols)
 libgnatprj6 - GNU Ada compiler Project Manager (shared library)
 libgnatprj6-dbg - GNU Ada compiler Project Manager (debugging symbols)
 libgnatprj6-dev - GNU Ada compiler Project Manager (development files)
 libgnatvsn6 - GNU Ada compiler selected components (shared library)
 libgnatvsn6-dbg - GNU Ada compiler selected components (debugging symbols)
 libgnatvsn6-dev - GNU Ada compiler selected components (development files)
 libgo9     - Runtime library for GNU Go applications
 libgo9-dbg - Runtime library for GNU Go applications (debug symbols)
 libgphobos-6-dev - Phobos D standard library
 libgphobos68 - Phobos D standard library (runtime library)
 libgphobos68-dbg - Phobos D standard library (debug symbols)
 libmpx2    - Intel memory protection extensions (runtime)
 libmpx2-dbg - Intel memory protection extensions (debug symbols)
 libn32gcc-6-dev - GCC support library (n32 development files)
 libn32gfortran-6-dev - Runtime library for GNU Fortran applications (n32 development fil
 libn32gfortran3 - Runtime library for GNU Fortran applications (n32)
 libn32gfortran3-dbg - Runtime library for GNU Fortran applications (n32 debug symbols)
 libn32go9  - Runtime library for GNU Go applications (n32)
 libn32go9-dbg - Runtime library for GNU Go applications (n32 debug symbols)
 libn32objc-6-dev - Runtime library for GNU Objective-C applications (n32 development
 libn32stdc++-6-dev - GNU Standard C++ Library v3 (development files)
 libn32stdc++6-6-dbg - GNU Standard C++ Library v3 (debugging files)
 libobjc-6-dev - Runtime library for GNU Objective-C applications (development fil
 libstdc++-6-dev - GNU Standard C++ Library v3 (development files)
 libstdc++-6-doc - GNU Standard C++ Library v3 (documentation files)
 libstdc++-6-pic - GNU Standard C++ Library v3 (shared library subset kit)
 libstdc++6-6-dbg - GNU Standard C++ Library v3 (debugging files)
 libx32asan3 - AddressSanitizer -- a fast memory error detector (x32)
 libx32asan3-dbg - AddressSanitizer -- a fast memory error detector (x32 debug symbo
 libx32gcc-6-dev - GCC support library (x32 development files)
 libx32gfortran-6-dev - Runtime library for GNU Fortran applications (x32 development fil
 libx32gfortran3 - Runtime library for GNU Fortran applications (x32)
 libx32gfortran3-dbg - Runtime library for GNU Fortran applications (x32 debug symbols)
 libx32go9  - Runtime library for GNU Go applications (x32)
 libx32go9-dbg - Runtime library for GNU Go applications (x32 debug symbols)
 libx32gphobos-6-dev - Phobos D standard library (x32 development files)
 libx32gphobos68 - Phobos D standard library (runtime library)
 libx32gphobos68-dbg - Phobos D standard library (debug symbols)
 libx32objc-6-dev - Runtime library for GNU Objective-C applications (x32 development
 libx32stdc++-6-dev - GNU Standard C++ Library v3 (development files)
 libx32stdc++6-6-dbg - GNU Standard C++ Library v3 (debugging files)
Closes: 898901 901290
Changes:
 gcc-6 (6.4.0-18) unstable; urgency=medium
 .
   * Update to SVN 20180615 (r261625) from the gcc-6-branch.
     - Fix PR libstdc++/67554, PR libstdc++/85632, PR target/63177 (PPC),
       PR tree-optimization/85712, PR tree-optimization/85712, PR ipa/85655,
       PR target/85903 (x86), PR target/83687 (ARM), PR lto/85405,
       PR lto/85405, PR fortran/85138, PR fortran/85996, PR fortran/86051,
       PR fortran/85895, PR fortran/85780, PR fortran/85779, PR fortran/85543,
       PR fortran/83149, PR fortran/83898, PR fortran/68846, PR fortran/70864,
       PR fortran/85542, PR fortran/70870, PR fortran/85521, PR fortran/85687,
       PR fortran/85507, PR fortran/81773, PR fortran/83606, PR fortran/85520,
       PR lto/85248, PR bootstrap/86162.
   * Fix PR middle-end/86139, taken from the gcc-8-branch. Closes: #901290.
   * Fix build failure on hurd-i386. Closes: #898901.
Checksums-Sha1:
 e806104c4eaaee11214229f4cf6cceb3de1b974e 24107 gcc-6_6.4.0-18.dsc
 b110b5ba4bbefe4bd4d2e9d63dfdf4f3ae02696c 1886104 gcc-6_6.4.0-18.diff.gz
 478a1f7ba63160f36072623b12e516af906bacc1 9117 gcc-6_6.4.0-18_source.buildinfo
Checksums-Sha256:
 cf04efff191708f979cb994f1a63b60c81b06dbf179df692b64fff85b79f9010 24107 gcc-6_6.4.0-18.dsc
 30c785fd9afeb584af70eca7e2b74ed43cdcbf610be67cee04cdb856d8657f5a 1886104 gcc-6_6.4.0-18.diff.gz
 d2d7dc1b9c7b27bd533493ce327d59eb2d08014a34d08bcefaae5607aab5077c 9117 gcc-6_6.4.0-18_source.buildinfo
Files:
 524909730a880f9eaca3151811bcd190 24107 devel optional gcc-6_6.4.0-18.dsc
 7f8cf9c775e440e6fbe737643b8fc67d 1886104 devel optional gcc-6_6.4.0-18.diff.gz
 68a32dd9798ac5921d1a39fd8845c631 9117 devel optional gcc-6_6.4.0-18_source.buildinfo

-----BEGIN PGP SIGNATURE-----

iQJEBAEBCAAuFiEE1WVxuIqLuvFAv2PWvX6qYHePpvUFAlsjtxMQHGRva29AZGVi
aWFuLm9yZwAKCRC9fqpgd4+m9aJjD/4hp0AHaonAD9zLUd4cYN9mowz3pjVY5K/d
6Yjfk9WgUGfo37XpbjzesN4MDPyfskYDGkh02JZ7Jucp4LgkjCBuuSspQXxWIUdy
u4Oqe9Azy7FqsJlh7+fx/rZuAihkLvuYYdIka7fbtv8UDYjaORbxLREp+b20Y/mM
kfS1Ckl0rU41EPLZ38qWSJcWKfbfYp2A7Xu8/kOhFomA8b7dfLMpkLq8hvmwuvnT
pUN7g1U8ernvT+r0FcQU1aMJ0kypDlnMxzlMHabONnEgpPhQ4ZIsOAIyQoVMwiyC
SibWYzN6P6mXY/bf4ipPn6MldWUExHbJ+YYuPUVN/vorQL59v4HEJJ7+c3w5uoy6
6CM7H/j0nmrmOosm1xZoApOzmQwuoIJnvHtwH4rgADM3rb5b4D15RnleLWeWk3hL
0zOW5Z+X16YvtDyIESiz3Nt5qdOzOpcUplUYQ+718er+aeDXad8KwztmdkaZBie6
sTTDAJTfHUwIHW2OYOy90BE29aBvGfSpQSRZLM5NCxfF28Yq2A34S5k54dcTWp+4
/7JGGVRsIgvZNflmLXA1ywvQCtJomSdagKuvcD0W8iStJyA9CzAJIeVPONXzZmz7
VoacH1n6z5WsXZaWERQvN6ObZDb8fHSLFJbEu7dArxpCg+ua5U3/bA7PDUBRbbrT
NCL26WVW5w==
=1ai7
-----END PGP SIGNATURE-----

--- End Message ---

Reply to: